@media only screen and (max-width: 480px) {

    /* ---------- Elements ---------- */
    
    /* --- Text --- */
    .smallText {
        font-size: 10px;
        line-height: 10px;
    }

    .text {
        font-size: 12px;
        line-height: 16px;
    }

    .blockHeader {
        font-size: 25px;
        text-align: center;
    }

    /* --- Block/Section --- */
    .block {
        padding: 20px;
        width: 100%;
        min-width: 320px;
    }

    .blockWrapper {
        width: 100%;
        min-width: 320px;
    }

    .divider {
        width: 100%;
        min-width: 320px;
        height: 1px;
        background-color: #BCBCBC;
    }

    .invisible {
        display: none;
    }

    /* --- Book Button --- */
    .bookBtn {
        width: 100%;
        height: 25px;
        font-size: 10px;
    }

    .bookBtn p{
        margin-left: 5px;
    }

    .bookBtn img {
        width: 15px;
        height: 15px;
    }



    /* ---------- Header Menu ---------- */
    .headerMenu {
        width: 100%;
        min-width: 280px;
        height: 50px;

        grid-template-rows: 25px 25px;
        grid-template-columns: 85px 1fr 25px;
        grid-template-areas: 
         "logo info burger"
         "logo book burger";
    }

    /* --- Header Nav Menu --- */
    .headerNavMenu {
        display: none;
    }

    #mobileMenu {
        position: fixed;
        right: 0;
        top: 0;
        z-index: 3;

        width: 80%;
        height: 100vh;
        padding: 20% 0 0 40px;

        background-color: #C72A35;

        animation: mobile-menu-animation 0.5s linear normal 0s forwards; 
    }

    @keyframes mobile-menu-animation {
        0%{
            right: -100%;
        }
        100%{
            right: 0;
        }
    }

    #burgerIcon {
        align-self: center;
        grid-area: burger;
        display: block;
        width: 25px;
        height: 25px;
    }
    
    #burgerIconClose {
        position: absolute;
        top: 25px;
        right: 25px;

        width: 25px;
        height: 25px;

        background-color: #C72A35;
    }

    .mobileMenuLink {
        color: white;
        display: block;
        margin: 20px 0;
    }

    .mobileMenuLink:hover {
        color: white;
    }

    .mobileMenuContact {
        margin-top: 70px;
    }

    .mobileMenuText {
        color: white;
        margin: 10px 0;
        font-size: 12px;
        line-height: 12px;
        font-family: 'Inter', sans-serif;
    }

    .mobileMenuText:hover {
        color: white;
    }

    .mobileMenuIcon {
        float: left;
        width: 12px;
        margin-right: 5px;
    }

    /* --- Contact Info --- */
    .headerContactInfo {    
        align-self: center;
        justify-self: center;
        width: fit-content;
        height: 20px;
        margin: 0;
        text-align: center;
    }

    .headerDivider {
        display: none;
    }

    .headerContactInfoEmail {
        display: none;
    }

    .headerContactInfoTel {
        display: none;
    }

    /* --- Header Book Btn --- */
    #headerBtn {
        width: 130px;
    }



    /* ---------- Header ---------- */
    .header {
        width: 100%;
        min-width: 320px;
        height: fit-content;
        padding: 10px 20px;

        grid-template-rows: 50px 150px;
        grid-template-columns: 100%;
        grid-template-areas:
         "nav"
         "header"
         "subheader"
         "badges"
         "span";

        background-size: 80%;
        background-position: center bottom;
    }

    /* --- Header Line --- */
    .headerLine {
        margin-top: 60px;
        font-size: 50px;
        line-height: 50px;
        text-align: center;
    }

    .subHeaderLine {
        margin-top: 10px;
        text-align: center;
        font-size: 15px;
        line-height: 15px;
    }

    /* --- Badge Box --- */
    .badgeBox {
        width: 100%;
        height: fit-content;

        margin: 30px 0 0 0;

        grid-template-columns: 1fr 1fr 1fr;
    }

    .winnerBadge {
        margin: 0;
        width: 66%;
        
        align-self: end;
    }

    .reviewsBadge {
        width: 100%;
    }

    #mobileSpan {
        display: block;
        grid-area: span;
    }

    /* ---------- Block 2 (Slider) ---------- */
    .blockLayout2 {
        overflow: hidden;
    }

    .servicesBox {
        width: 100%;

        position: relative;

        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .serviceCard {
        width: 60%;
        height: auto;
        padding-bottom: 15px;
    }

    .serviceCard img {
        width: 100%;
    }

    .serviceCardBtn {
        width: 80%;
    }
    
    .serviceCardText {
        margin: 15px 0 15px 0;
        font-size: 16px;
        text-align: center;
    }

    /* --- Slider --- */
    .sliderArrow {
        z-index: 1;
        width: 30px;
        height: 30px;
        flex-grow: 0;
        flex-shrink: 0;
        flex-basis: 30px;
        border-radius: 15px;
        background-color: #C72A35;
    }

    #sliderArrowR {
        background-size: contain;
        background-position: center;
        background-image: url(./images/slider-arrow-right.png);
    }

    #sliderArrowL {
        background-size: contain;
        background-position: center;
        background-image: url(./images/slider-arrow-left.png);
    }

    .sliderCard {
        position: absolute;
        pointer-events: none;
    }

    .sliderRight {
        right: -90%;
    }

    .sliderHalfRight {
        animation: slider-half-right 1s linear normal 0s forwards; 
    }

    .sliderHalfRightRev {
        animation: slider-half-right 1s linear reverse 0s forwards; 
    }

    @keyframes slider-half-right {
        0%{
            transform: scale(0.6);
            opacity: 0.4;
            opacity: 0.2;
            right: -90%;
        }
        100%{
            transform: scale(0.6);
            opacity: 0.4;
            right: -40%;
        }
    }

    .sliderMiddle {
        pointer-events: auto;
        animation: slider-middle 1s linear normal 0s forwards; 
    }

    .sliderMiddleRev {
        animation: slider-middle 1s linear reverse 0s forwards; 
    }

    @keyframes slider-middle {
        0%{
            transform: scale(0.6);
            opacity: 0.4;
            right: -40%;
        }
        100%{
            transform: scale(1);
            opacity: 1;
            right: 20%;
        }
    }

    .sliderHalfLeft {
        animation: slider-half-left 1s linear normal 0s forwards; 
    }

    .sliderHalfLeftRev {
        pointer-events: auto;
        animation: slider-half-left 1s linear reverse 0s forwards; 
    }

    @keyframes slider-half-left {
        0%{
            transform: scale(1);
            opacity: 1;
            right: 20%;
        }
        100%{
            transform: scale(0.6);
            opacity: 0.4;
            right: 80%;
        }
    }

    .sliderLeft {
        right: 130%;
    }

    .sliderLeftAnimation {
        animation: slider-left 1s linear normal 0s forwards; 
    }

    .sliderLeftAnimationRev {
        animation: slider-left 1s linear reverse 0s forwards; 
    }

    @keyframes slider-left {
        0%{
            transform: scale(0.6);
            opacity: 0.4;
            right: 80%;
        }
        100%{
            transform: scale(0.6);
            opacity: 0.4;
            right: 130%;
        }
    }

    /* ---------- Block 3 ---------- */
    .blockLayout3 {
        grid-template-columns: 1fr;
        grid-template-areas: 
         "header"
         "map"
         "blockInfoBox";
    }

    .googleMap {
        height: 200px;
    }

    /* --- Block Info Box --- */
    .blockInfoBox {
        gap: 10px;
        height: auto;
    }

    .blockInfoAreaList {
        margin-top: 5px;
    }

    .blockInfoIcon {
        width: 16px;
    }

    /* ---------- Block 4 ---------- */
    #reviews {
        overflow: hidden;
    }
    
    /* ---------- Block 5 ---------- */
    .blockLayout5 {
        grid-template-rows: none;
        grid-template-columns: 1fr;
        grid-template-areas: 
         "header"
         "list"
         "image";
    }

    .blockList {
        width: 100%;
    }


    .blockLayout5 img {
        width: 100%;
    }

    .blockListElement {
        width: 100%;
        padding-left: 25px;
    }

    .blockListElement::before {
        top: 0px;
        left: 0px;
        width: 15px;
        height: 15px;
        background-size: contain;
    }

    /* ---------- Block 6 ---------- */
    .blockLayout6{
        grid-template-columns: 1fr;
        grid-template-areas: 
        "header"
        "form";
    }

    .blockLayout6 img {
        display: none;
    }

    .contactForm {
        gap: 10px;
        grid-template-columns: 1fr;
        grid-template-areas:
         "Type"
         "Numb"
         "Addr"
         "Code"
         "Comm"
         "Butn";
    }

    .inputField {
        height: 40px;
        font-size: 12px;
    }

    .inputSelect option {
        font-size: 15px;
    }

    #contactCom {
        padding: 10px 15px;
    }

    #contactSubmit {
        padding: 0;
        background-image: none;
    }

    /* ---------- Footer ---------- */
    .footerLayout {
        width: 100%;
        padding: 20px;

        display: grid;
        grid-template-columns: 1fr;
        grid-template-areas: 
         "contact"
         "divider"
         "sitemap";
    }

    .siteMap {
        grid-area: sitemap;
    }

    .footerArea {
        display: none;
    }

    .footerDivider {
        grid-area: divider;
        height: 1px;
        width: 100%;
        margin: 15px 0;
    }

    .footerText {
        font-size: 10px;
        line-height: 15px;
    }

    .footerIcon {
        width: 15px;
    }

}